×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Sep 2008
    Posts
    11

    problem with symbian 9.1 (3rd edition MR)

    I have created an application with sdk FP1 3rd edition and it run correctly, but when i try to run with the emulator of 3rd Edition MR, emulator give me an error System Error (-12).

    What can I do to solve my problem?

  2. #2
    Super Contributor
    Join Date
    Nov 2004
    Location
    Wiltshire, UK
    Posts
    3,644

    Re: problem with symbian 9.1 (3rd edition MR)

    Read the SDK documentation? -12 is KErrPathNotFound so somewhere a path does not exist that you think it should
    Download Symbian OS now! [url]http://developer.symbian.org[/url]

  3. #3
    Registered User
    Join Date
    Sep 2008
    Posts
    11

    Re: problem with symbian 9.1 (3rd edition MR)

    This is my console report with the error:

    Code:
    116.435	AKNSKINS: (Error) "CAknsAppSkinInstance::GetLayoutBitmap Srv update failed -1"
       116.475	AKNSKINS: (Error) "CAknsAppSkinInstance::GetLayoutBitmap Srv update failed -1"
       116.475	AKNSKINS: (Error) "CAknsAppSkinInstance::GetLayoutBitmap Srv update failed -1"
       116.690	Thread TZSERVER.EXE::Main created @ 0xb8d504 - Win32 Thread ID 0xf18
       116.930	Thread AGSVEXE.EXE::Main created @ 0xb8fd2c - Win32 Thread ID 0x70c
       117.340	Thread Salone2008::Salone2008 Panic E32USER-CBase 21

  4. #4
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,689

    Re: problem with symbian 9.1 (3rd edition MR)

    The next step is easy: search for E32USER-CBase 21 in the SDK Help.

  5. #5
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: problem with symbian 9.1 (3rd edition MR)

    The beauty of the emulator is that you can easily do debug in it. Once you know on which line of code the application panics and you also know the panic code your problem is half solved.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. How can i get Symbian OS v9.3 S60 3rd Edition
    By aamitgupta in forum Symbian Tools & SDKs
    Replies: 28
    Last Post: 2012-04-06, 14:29
  2. Problem deploying app in netbeans with S60 3rd Edition FP1 SDK for MIDP platform
    By michal.postrozny in forum Mobile Java Tools & SDKs
    Replies: 2
    Last Post: 2008-06-13, 06:30
  3. Problems with SymbianOSUnit on Symbian OS 9.1
    By dr_rost in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2007-12-10, 18:38
  4. 3rd ed problem ->Python within Symbian C++
    By m-one in forum Symbian
    Replies: 7
    Last Post: 2006-10-10, 14:56

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×